Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class SVGGenerator

    java.lang.Object
      com.fujitsu.iflow.model.util.SVGGenerator

public class SVGGenerator
extends java.lang.Object

Field Summary
`java.awt.Point` | `maxPoint`
`ProcessInstance` | `pi`
`Plan` | `plan`

Constructor Summary
`SVGGenerator(Plan new_plan)`
`SVGGenerator(ProcessInstance new_pi)`

Method Summary
`void` | `addPoint(java.lang.StringBuffer b, java.lang.String comm, java.awt.Point p)`
`java.awt.Point` | `calcEndPoint(java.awt.Point a, Node aNode)` calcEndPoint - given that you want to draw a line from a point "A" toward a node, but stopping just outside the node (which depends on the node type) so that the arrow head can be placed there.
`void` | `drawClock(int x, int y, java.lang.String color, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`void` | `drawLine(java.awt.Point a, java.awt.Point b, java.lang.String style, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`void` | `drawPath(java.lang.String path, java.lang.String style, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`void` | `drawPathShape(int startx, int starty, java.lang.String path, java.lang.String style, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`void` | `drawText(int x, int y, java.lang.String text, java.lang.String style, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`void` | `drawTextBox(int x, int y, int width, int height, java.lang.String text, org.w3c.dom.Document doc, org.w3c.dom.Element parent)`
`java.awt.Point` | `findMaxSize()`
`void` | `generateSVG(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pi

    public ProcessInstance pi

### plan

    public Plan plan

### maxPoint

    public java.awt.Point maxPoint

Constructor Detail

### SVGGenerator

    public SVGGenerator(ProcessInstance new_pi)
                 throws ModelException

### SVGGenerator

    public SVGGenerator(Plan new_plan)
                 throws ModelException

Method Detail

### findMaxSize

    public java.awt.Point findMaxSize()

### generateSVG

    public void generateSVG(java.io.OutputStream out)
                     throws ModelException

  Throws:
    `ModelException`

### calcEndPoint

    public java.awt.Point calcEndPoint(java.awt.Point a,
                                       Node aNode)

  calcEndPoint - given that you want to draw a line from a point "A" toward a node, but stopping just outside the node (which depends on the node type) so that the arrow head can be placed there. This algorithm leaves the arrow pointing directly to the center of the node, but finds where the line would intersect an imaginary line a few pixels outside of the the edge of the node shape. This leaves a little bit of white space outside of the node giving the diagram a more "open" and less crowded look.

### drawPathShape

    public void drawPathShape(int startx,
                              int starty,
                              java.lang.String path,
                              java.lang.String style,
                              org.w3c.dom.Document doc,
                              org.w3c.dom.Element parent)

### drawLine

    public void drawLine(java.awt.Point a,
                         java.awt.Point b,
                         java.lang.String style,
                         org.w3c.dom.Document doc,
                         org.w3c.dom.Element parent)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### drawPath

    public void drawPath(java.lang.String path,
                         java.lang.String style,
                         org.w3c.dom.Document doc,
                         org.w3c.dom.Element parent)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### drawText

    public void drawText(int x,
                         int y,
                         java.lang.String text,
                         java.lang.String style,
                         org.w3c.dom.Document doc,
                         org.w3c.dom.Element parent)
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### drawTextBox

    public void drawTextBox(int x,
                            int y,
                            int width,
                            int height,
                            java.lang.String text,
                            org.w3c.dom.Document doc,
                            org.w3c.dom.Element parent)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addPoint

    public void addPoint(java.lang.StringBuffer b,
                         java.lang.String comm,
                         java.awt.Point p)

### drawClock

    public void drawClock(int x,
                          int y,
                          java.lang.String color,
                          org.w3c.dom.Document doc,
                          org.w3c.dom.Element parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD